diff --git a/app/addons/cities/func.php b/app/addons/cities/func.php
index da60bf69083..5f6231599c9 100644
--- a/app/addons/cities/func.php
+++ b/app/addons/cities/func.php
@@ -307,16 +307,16 @@ function fn_cities_format_to_autocomplete(array $cities)
 /**
  * Gets the cities identificators by city name.
  *
- * @param array<string, string> $city      City
- * @param string                $state     State
- * @param string                $country   Country
- * @param string                $lang_code Language code.
+ * @param string $city      City
+ * @param string $state     State
+ * @param string $country   Country
+ * @param string $lang_code Language code.
  *
  * @return array The array the cities identificators.
  *
  * @phpcsSuppress SlevomatCodingStandard.TypeHints.ReturnTypeHint.MissingTraversableTypeHintSpecification
  */
-function fn_cities_get_city_ids(array $city, $state, $country, $lang_code = CART_LANGUAGE)
+function fn_cities_get_city_ids($city, $state, $country, $lang_code = CART_LANGUAGE)
 {
     $condition = '';
 
@@ -623,14 +623,14 @@ function fn_cities_geo_maps_set_customer_location_pre(array &$location)
 /**
  * Hook handler: automatically detects zipcode when saving a location.
  *
- * @param string                $country_code ISO 3166-1 country code
- * @param string                $state_code   ISO 3166-2 state code
- * @param array<string, string> $city         City name
- * @param string|null           $zipcode      Detected zipcode
+ * @param string      $country_code ISO 3166-1 country code
+ * @param string      $state_code   ISO 3166-2 state code
+ * @param string      $city         City name
+ * @param string|null $zipcode      Detected zipcode
  *
  * @return void
  */
-function fn_cities_location_manager_detect_zipcode_post($country_code, $state_code, array $city, &$zipcode)
+function fn_cities_location_manager_detect_zipcode_post($country_code, $state_code, $city, &$zipcode)
 {
     if ($zipcode !== null) {
         return;
